geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Lin Sun <linsun....@gmail.com>
Subject Re: Can db2java-1.2.zip not be used to create DataSource in Geronimo 1.1.1?
Date Fri, 15 Jun 2007 02:48:39 GMT
I guess DB2 version 1.2 or 1.3 is new version to me.  I have only been 
used DB2 8.2 or DB2 9 level with geronimo and I remember only Type 4 worked.

Lin
yskim@symcor.com wrote:
> When we migrated the application to Geronimo with the use of
> db2jcc-1.3.jar.  The same database the application has used for years
> begins to throw errors as below:
> 
> Caused by: com.ibm.db2.jcc.c.SqlException: DB2 SQL error: SQLCODE: -551,
> SQLSTATE: 42501, SQLERRMC: WEBIR;EXECUTE;NULLID.SYSSH200
>         at com.ibm.db2.jcc.c.cw.e(cw.java:1490)
>         at com.ibm.db2.jcc.b.bd.p(bd.java:620)
>         at com.ibm.db2.jcc.b.bd.h(bd.java:141)
>         at com.ibm.db2.jcc.b.bd.a(bd.java:42)
>         at com.ibm.db2.jcc.b.r.a(r.java:31)
>         at com.ibm.db2.jcc.b.bs.g(bs.java:149)
>         at com.ibm.db2.jcc.c.cw.l(cw.java:1080)
>         at com.ibm.db2.jcc.c.cx.bc(cx.java:1554)
>         at com.ibm.db2.jcc.c.cx.d(cx.java:1983)
>         at com.ibm.db2.jcc.c.cx.T(cx.java:422)
>         at com.ibm.db2.jcc.c.cx.executeQuery(cx.java:405)
>         at
> org.tranql.connector.jdbc.PreparedStatementHandle.executeQuery(PreparedStatementHandle.java:49)
> 
> So we guess that COM.ibm.db2.jdbc.DB2ConnectionPoolDataSource of
> db2java-1.2.jar might be required to connect to the database without the
> error above.
> 
> Thanks,
> 
> Young
> 
> 
> 
>                                                                            
>              Matt Hogstrom                                                 
>              <matt@hogstrom.or                                             
>              g>                                                         To 
>                                        user@geronimo.apache.org            
>              06/14/2007 01:10                                           cc 
>              PM                                                            
>                                                                    Subject 
>                                        Re: Can db2java-1.2.zip not be used 
>              Please respond to         to create DataSource in Geronimo    
>              user@geronimo.apa         1.1.1?                              
>                   che.org                                                  
>                                                                            
>                                                                            
>                                                                            
>                                                                            
>                                                                            
> 
> 
> 
> 
> For fun can you specify this is a Type 4 driver?  IIRC there were
> issues related to problems with the DLLs being loaded under a
> different classloader than the ultimately referencing classes.  I
> thought it was a Linkage Exception but I might be wrong.
> 
> 
> On Jun 14, 2007, at 12:13 PM, yskim@symcor.com wrote:
> 
>> We are trying to migrate the web application written for WebSphere
>> 4.0 to
>> Geronimo 1.1.1.  Back then we had to use DB2 JDBC Driver 1.2 which
>> type 2
>> driver.  It comes as db2java.zip or db2java-1.2.zip.  I have tried
>> the jar
>> file format and got the same error message.
>>
>> I have a out-of-box geronimo 1.1.1 and removed db2/db2jcc/1.3 from the
>> repository.  I only try to get the
>> COM.ibm.db2.jdbc.DB2ConnectionPoolDataSource working instead of
>> com.ibm.db2.jcc.DB2Driver (from db2jcc-1.3.jar) for successful test
>> connection in database pool wizard.
>>
>> Thanks in advance.
>>
>> Young
>>
>>
>>
>>
>>              Matt Hogstrom
>>              <matt@hogstrom.or
>>
>> g>                                                         To
>>                                        user@geronimo.apache.org
>>              06/14/2007
>> 11:42                                           cc
>>              AM
>>
>> Subject
>>                                        Re: Can db2java-1.2.zip not
>> be used
>>              Please respond to         to create DataSource in
>> Geronimo
>>              user@geronimo.apa         1.1.1?
>>                   che.org
>>
>>
>>
>>
>>
>>
>>
>>
>>
>> I'm not familiar with the jcc driver version numbers.  Is 1.2 and 1.3
>> your version?  I thought they generally corresponded to the DB2
>> version being used.
>>
>> Also, I assume this is a Type 4 driver, is this correct?
>>
>> On Jun 14, 2007, at 10:51 AM, yskim@symcor.com wrote:
>>
>>> I have taken out db2/db2jcc/1.3 from the repository by rm command
>>> in the
>>> Solaris and installed db2java-1.2.zip into the repository the
>>> console menu
>>> of Common Libs.
>>>
>>> With the use of database wizard, I have entered the database
>>> connection
>>> information and then clicked "Test Connection" before deployment.
>>> The
>>> class cast exception is thrown as below.  Am I supposed to use
>>> db2jcc-1.3.jar only?
>>>
>>> Implementation Class in db2java-1.2.zip is
>>> COM.ibm.db2.jdbc.DB2ConnectionPoolDataSource.  db2jcc-1.3.jar has
>>> com.ibm.db2.jcc.DB2Driver.
>>
> 
> 


Mime
View raw message